%global debug_package %{nil}

Name:       trusted-firmware-a
Provides:   TF-A
Version:    2.10.0
Release:    %autorelease
Summary:    Trusted Firmware-A
License:    BSD-3-Clause
URL:        https://www.trustedfirmware.org/projects/tf-a/
Source0:    https://git.trustedfirmware.org/TF-A/trusted-firmware-a.git/snapshot/trusted-firmware-a-%{version}.tar.gz
Source1:    make.py
Source2:    README.fedora

BuildRequires: make gcc binutils dtc
BuildRequires: openssl openssl-devel
BuildRequires: gcc-aarch64-linux-gnu

BuildRequires: python3

BuildRequires: edk2-aarch64 optee_os


%description
The Trusted Firmware-A project provides a reference implementation of
secure world software for Armv7-A and Armv8-A class processors.

%prep
%setup -q
cp %{SOURCE2} .

%build
unset CFLAGS CXXFLAGS LDFLAGS
python3 %{SOURCE1}
mkdir qemu
cp -v \
   build/qemu/debug/*.bin \
   build/qemu/debug/qemu_fw.* \
   qemu

%install
mkdir -p %{buildroot}%{_bindir}
cp -v tools/fiptool/fiptool \
   %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -vr qemu \
   %{buildroot}%{_datadir}/%{name}

%files
%doc README.fedora
%{_bindir}/fiptool
%{_datadir}/%{name}

%changelog
%autochangelog
